InetAddressValidator (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.validation.routines
[Java] Class InetAddressValidator

    java.lang.Object
      org.codehaus.groovy.grails.validation.routines.InetAddressValidator

All Implemented Interfaces:
  java.io.Serializable

    public class InetAddressValidator
    extends java.lang.Object

InetAddress validation and conversion routines (`java.net.InetAddress`).

This class provides methods to validate a candidate IP address.

This class is a Singleton; you can retrieve the instance via the getInstance() method.

Since:
  Validator 1.4

Method Summary
`static InetAddressValidator` | `getInstance()` Returns the singleton instance of this validator.
`boolean` | `isValid(java.lang.String inetAddress)` Checks if the specified string is a valid IP address.
`boolean` | `isValidInet4Address(java.lang.String inet4Address)` Validates an IPv4 address.

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getInstance

    public static InetAddressValidator getInstance()

  Returns the singleton instance of this validator.
  Returns:
    the singleton instance of this validator

### isValid

    public boolean isValid(java.lang.String inetAddress)

  Checks if the specified string is a valid IP address.
  Parameters:
    `inetAddress` - the string to validate
  Returns:
    true if the string validates as an IP address

### isValidInet4Address

    public boolean isValidInet4Address(java.lang.String inet4Address)

  Validates an IPv4 address. Returns true if valid.
  Parameters:
    `inet4Address` - the IPv4 address to validate
  Returns:
    true if the argument contains a valid IPv4 address

Groovy Documentation